TagMangoTagMango Docs
Gamification

Get Collective Points For All UsersDeprecated

GET
/api/v2/external/gamification/points/collective

Get collective points for all users based on active subscriptions to mangoes with gamification enabled.

  • Provides total scores obtained by the user for each category of points
  • There are different categories of points assign by the TagMango system - dailyActive, likeOnPost, commentOnPost, messageInRoom, createPost, 10perCourseCompletion, 50perCourseCompletion, 100perCourseCompletion, attendance, signUpThroughAffiliate

:::danger Rate Limiting This endpoint is rate limited to 10 requests per minute. :::

AuthorizationBearer <token>

In: header

Query Parameters

mangoes?string

Comma-separated list of mango unique identifiers

users?string

Comma-separated list of user ids

types?string

Comma-separated list of types for filtering points. Could be TagMango system points or custom points.

Header Parameters

x-whitelabel-host*string

Host name of the dashboard, ex: mydomain.tagmango.com

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api-prod-new.tagmango.com/api/v2/external/gamification/points/collective" \  -H "x-whitelabel-host: string"
[
  {
    "_id": "6659ca9e5f2acb7abfdcd8fd",
    "points": [
      {
        "type": "custom",
        "score": 100
      },
      {
        "type": "attendance",
        "score": 200
      }
    ],
    "totalScore": 300
  }
]
{
  "code": 400,
  "type": "Bad Request",
  "statusMessage": "BAD_REQUEST",
  "success": false,
  "message": "Invalid request",
  "result": "Invalid request"
}
{
  "code": 401,
  "type": "Unauthorized",
  "statusMessage": "UNAUTHORIZED",
  "message": "Invalid token",
  "result": "Invalid token",
  "success": false
}
{
  "code": 403,
  "type": "Forbidden",
  "statusMessage": "FORBIDDEN",
  "errorCode": "WORKSHOP_MANGO_FORBIDDEN",
  "message": "You can not access this api with a TagMango account, only available for whitelabel hosts",
  "result": "You can not access this api with a TagMango account, only available for whitelabel hosts",
  "success": false
}
{
  "code": 429,
  "type": "Too Many Requests",
  "statusMessage": "TOO_MANY_REQUESTS",
  "message": "Request limit exceeded. try after 10 seconds",
  "result": "Request limit exceeded. try after 10 seconds",
  "success": false
}